Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html
Class SAXmyHtmlHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.lowagie.text.xml.SAXiTextHandler
              com.lowagie.text.html.SAXmyHtmlHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SAXmyHtmlHandler

extends SAXiTextHandler

The `Tags`-class maps several XHTML-tags to iText-objects.

Field Summary
`private Properties` | `bodyAttributes` These are the properties of the body section.
`private boolean` | `tableBorder` This is the status of the table border.

Fields inherited from class com.lowagie.text.xml.SAXiTextHandler
`chapters, controlOpenClose, currentChunk, document, ignore, myTags, stack`

Constructor Summary
`SAXmyHtmlHandler(DocListener document)` Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.
`SAXmyHtmlHandler(DocListener document, BaseFont bf)` Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.
`SAXmyHtmlHandler(DocListener document, HashMap htmlTags)` Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

Method Summary
`void` | `endElement(String uri, String lname, String name)` This method gets called when an end tag is encountered.
`void` | `startElement(String uri, String lname, String name, org.xml.sax.Attributes attrs)` This method gets called when a start tag is encountered.

Methods inherited from class com.lowagie.text.xml.SAXiTextHandler
`addImage, characters, handleEndingTags, handleStartingTags, ignorableWhitespace, isDocumentRoot, setBaseFont, setControlOpenClose`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bodyAttributes

    private Properties bodyAttributes

  These are the properties of the body section.

### tableBorder

    private boolean tableBorder

  This is the status of the table border.

Constructor Detail

### SAXmyHtmlHandler

    public SAXmyHtmlHandler(DocListener document)

  Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

  Parameters:
    `document` - this is the document on which events must be triggered

### SAXmyHtmlHandler

    public SAXmyHtmlHandler(DocListener document,
                            BaseFont bf)

  Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

  Parameters:
    `document` - this is the document on which events must be triggered
    `bf` -

### SAXmyHtmlHandler

    public SAXmyHtmlHandler(DocListener document,
                            HashMap htmlTags)

  Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

  Parameters:
    `document` - this is the document on which events must be triggered
    `htmlTags` - a tagmap translating HTML tags to iText tags

Method Detail

### startElement

    public void startElement(String uri,
                             String lname,
                             String name,
                             org.xml.sax.Attributes attrs)

  This method gets called when a start tag is encountered.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAXiTextHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - the name of the tag that is encountered
    `attrs` - the list of attributes

### endElement

    public void endElement(String uri,
                           String lname,
                           String name)

  This method gets called when an end tag is encountered.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `SAXiTextHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - the name of the tag that ends

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD